Subject: Re: Updated git HOWTO for kernel hackers

From: Greg KH <[email-masked]>
Date: Wed, 22 Jun 2005 16:09:05 -0700

On Wed, Jun 22, 2005 at 06:24:54PM -0400, Jeff Garzik wrote:
> 10) don't forget to download tags from time to time.
> 
> git-pull-script only downloads sha1-indexed object data, and the 
> requested remote head.  This misses updates to the .git/refs/tags/ and 
> .git/refs/heads directories.  It is advisable to update your kernel .git 
> directories periodically with a full rsync command, to make sure you got 
> everything:
> 
> $ cd linux-2.6
> $ rsync -a --delete --verbose --stats --progress \
> rsync://rsync.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git/
> \          <- word-wrapped backslash; sigh
>     .git/

Ok, this is annoying.  Is there some reason why git doesn't pull the
tags in properly when doing a merge?  Chris and I just hit this when I
pulled his 2.6.12.1 tree and and was wondering where the tag went.

thanks,

greg k-h